com.holonplatform.http.internal

## Class AbstractHttpRequest

- java.lang.Object
- - com.holonplatform.http.internal.AbstractHttpRequest

- All Implemented Interfaces:
    Message<String,List<String>>, MessageHeaders<List<String>>, HttpHeaders, HttpMessage<String>, HttpRequest

      public abstract class AbstractHttpRequest
      extends Object
      implements HttpRequest

  `HttpRequest` base class.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHttpRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getPayload()` Message payload
    `Class<? extends String>` | `getPayloadType()` Message payload type

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.HttpRequest

      `getBody, getMethod, getMultiValueRequestParameter, getRequestCookie, getRequestHost, getRequestParameter, getRequestParameters, getRequestPath`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Constructor Detail

    - #### AbstractHttpRequest

          public AbstractHttpRequest()

  - ### Method Detail

    - #### getPayloadType

          public Class<? extends String> getPayloadType()
                                                 throws UnsupportedOperationException

      Description copied from interface: `Message`
      Message payload type
      Specified by:
        `getPayloadType` in interface `Message<String,List<String>>`
      Returns:
        Payload type
      Throws:
        `UnsupportedOperationException` - If this kind of message does not support a payload

    - #### getPayload

          public Optional<String> getPayload()
                                      throws UnsupportedOperationException

      Description copied from interface: `Message`
      Message payload
      Specified by:
        `getPayload` in interface `Message<String,List<String>>`
      Returns:
        Optional message payload
      Throws:
        `UnsupportedOperationException` - If this kind of message does not support a payload

Copyright © 2019 The Holon Platform. All rights reserved.